Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.plugins.strategies
Class FinderFromFile

    java.lang.Object
      org.apache.commons.digester3.plugins.RuleFinder
          org.apache.commons.digester3.plugins.strategies.FinderFromFile

    public class FinderFromFile

extends RuleFinder

A rule-finding algorithm which expects the user to specify an absolute or relative path in the plugin declaration.

The file is expected to contain Digester rules in xmlrules format.

Since:
  1.6

Constructor Summary
`FinderFromFile()` See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.
`FinderFromFile(String filenameAttr)` See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.

Method Summary
`RuleLoader` | `findLoader(Digester d, Class<?> pluginClass, Properties p)` If there exists a property with the name specified in the constructor, then load that file, run it through the xmlrules module and return an object encapsulating those rules.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FinderFromFile

    public FinderFromFile()

  See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.

### FinderFromFile

    public FinderFromFile(String filenameAttr)

  See `findLoader(org.apache.commons.digester3.Digester, java.lang.Class, java.util.Properties)`.

  Parameters:
    `filenameAttr` - the XML attribute that needs to be present on a plugin declaration in order to specify the file to load rules from.

Method Detail

### findLoader

    public RuleLoader findLoader(Digester d,
                                 Class<?> pluginClass,
                                 Properties p)
                          throws PluginException

  If there exists a property with the name specified in the constructor, then load that file, run it through the xmlrules module and return an object encapsulating those rules.

  If there is no matching property provided, then just return null.

  The returned object (when non-null) will add the selected rules to the digester whenever its addRules method is invoked.

  Specified by:
    `findLoader` in class `RuleFinder`
  Parameters:
    `d` - The digester instance where locating plugin classes
    `pluginClass` - The plugin Java class
    `p` - The properties object that holds any xml attributes the user may have specified on the plugin declaration in order to indicate how to locate the plugin rules.
  Returns:
    a source of digester rules for the specified plugin class.
  Throws:
    `PluginException` - if the algorithm finds a source of rules, but there is something invalid about that source.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.